- active_tab = local_assigns.fetch(:active_tab, 'blank')
- track_label = local_assigns.fetch(:track_label, 'import_project')
- namespace_id = local_assigns.fetch(:destination_namespace_id, nil)

.project-import
  .form-group.import-btn-container.clearfix
    %h5.gl-display-flex
      = _("Import project from")
      = link_to _('History'), import_history_index_path, class: 'gl-link gl-ml-auto gl-font-weight-normal'
    .import-buttons
      - if gitlab_project_import_enabled?
        .import_gitlab_project.has-tooltip{ data: { container: 'body', qa_selector: 'gitlab_import_button' } }
          = link_to '#', class: 'gl-button btn-default btn btn_import_gitlab_project js-import-project-btn', data: { href: new_import_gitlab_project_path, platform: 'gitlab_export', **tracking_attrs_data(track_label, 'click_button', 'gitlab_export') } do
            .gl-button-icon
              = sprite_icon('tanuki')
            = _("GitLab export")

      - if github_import_enabled?
        %div
          = link_to new_import_github_path(namespace_id: namespace_id), class: 'gl-button btn-default btn js-import-github js-import-project-btn', data: { platform: 'github', **tracking_attrs_data(track_label, 'click_button', 'github') } do
            .gl-button-icon
              = sprite_icon('github')
            GitHub

      - if bitbucket_import_enabled?
        %div
          = link_to status_import_bitbucket_path, class: "gl-button btn-default btn import_bitbucket js-import-project-btn #{'js-how-to-import-link' unless bitbucket_import_configured?}",
          data: { modal_title: _("Import projects from Bitbucket"), modal_message: import_from_bitbucket_message, platform: 'bitbucket_cloud', **tracking_attrs_data(track_label, 'click_button', 'bitbucket_cloud') } do
            .gl-button-icon
              = sprite_icon('bitbucket')
            Bitbucket Cloud
      - if bitbucket_server_import_enabled?
        %div
          = link_to status_import_bitbucket_server_path, class: "gl-button btn-default btn import_bitbucket js-import-project-btn", data: { platform: 'bitbucket_server', **tracking_attrs_data(track_label, 'click_button', 'bitbucket_server') } do
            .gl-button-icon
              = sprite_icon('bitbucket')
            Bitbucket Server
        %div
      - if gitlab_import_enabled?
        %div
          = link_to status_import_gitlab_path, class: "gl-button btn-default btn import_gitlab js-import-project-btn #{'js-how-to-import-link' unless gitlab_import_configured?}",
            data: { modal_title: _("Import projects from GitLab.com"), modal_message: import_from_gitlab_message, platform: 'gitlab_com', **tracking_attrs_data(track_label, 'click_button', 'gitlab_com') } do
            .gl-button-icon
              = sprite_icon('tanuki')
            = _("GitLab.com")

      - if fogbugz_import_enabled?
        %div
          = link_to new_import_fogbugz_path, class: 'gl-button btn-default btn import_fogbugz js-import-project-btn', data: { platform: 'fogbugz', **tracking_attrs_data(track_label, 'click_button', 'fogbugz') } do
            .gl-button-icon
              = sprite_icon('bug')
            FogBugz

      - if gitea_import_enabled?
        %div
          = link_to new_import_gitea_path, class: 'gl-button btn-default btn import_gitea js-import-project-btn', data: { platform: 'gitea', **tracking_attrs_data(track_label, 'click_button', 'gitea') } do
            .gl-button-icon
              = custom_icon('gitea_logo')
            Gitea

      - if git_import_enabled?
        %div
          %button.gl-button.btn-default.btn.btn-svg.js-toggle-button.js-import-git-toggle-button.js-import-project-btn{ type: "button", data: { platform: 'repo_url', toggle_open_class: 'active', **tracking_attrs_data(track_label, 'click_button', 'repo_url') } }
            .gl-button-icon
              = sprite_icon('link', css_class: 'gl-icon')
            = _('Repository by URL')

      - if manifest_import_enabled?
        %div
          = link_to new_import_manifest_path(namespace_id: namespace_id), class: 'gl-button btn-default btn import_manifest js-import-project-btn', data: { platform: 'manifest_file', **tracking_attrs_data(track_label, 'click_button', 'manifest_file') } do
            .gl-button-icon
              = sprite_icon('doc-text')
            Manifest file

      - if phabricator_import_enabled?
        %div
          = link_to new_import_phabricator_path(namespace_id: namespace_id), class: 'gl-button btn-default btn import_phabricator js-import-project-btn', data: { platform: 'phabricator', track_label: "#{track_label}", track_action: "click_button", track_property: "phabricator" } do
            .gl-button-icon
              = custom_icon('issues')
            = _("Phabricator Tasks")


  .js-toggle-content.toggle-import-form{ class: ('hide' if active_tab != 'import') }
    = gitlab_ui_form_for @project, html: { class: 'new_project gl-show-field-errors js-project-import' } do |f|
      %hr
      = render "shared/import_form", f: f
      = render 'projects/new_project_fields', f: f, project_name_id: "import-url-name", hide_init_with_readme: true, track_label: track_label
